For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a New Shift Rate
      • DELDelete a Shift Rate by external ID
      • POSTGenerate timesheet upload url
      • GETRetrieve a Paginated List of Shift Rates
      • GETRetrieve a Shift Rate by External ID
      • GETRetrieve a timesheet
      • POSTReview a submitted timesheet
      • PATCHUpdate a shift rate
LogoLogo
SupportDeel Home
EndpointsTime Tracking

Review a submitted timesheet

POST
/time-tracking/timesheets/:timesheet_id/review
POST
/rest/v2/time-tracking/timesheets/:timesheet_id/review
$curl -X POST https://api.letsdeel.com/rest/v2/time-tracking/timesheets/880e8400-e29b-41d4-a716-446655440003/review \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "review_status": "APPROVED"
> }
>}'
1{
2 "data": {
3 "id": "880e8400-e29b-41d4-a716-446655440003",
4 "reviewed_at": "2025-07-10T13:22:45.000Z",
5 "review_status": "APPROVED",
6 "review_reason": "Client's reason for rejection"
7 }
8}

Approves or rejects a submitted timesheet; only timesheets in PENDING_REVIEW status are eligible, and all associated hours are approved or rejected as a single operation. Token scopes: time-tracking:write

Was this page helpful?
Previous

Update a shift rate

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

timesheet_idstringRequiredformat: "uuid"
ID of the timesheet to review

Request

Review information for the timesheet. review_reason is required when review_status is REJECTED.

dataobjectRequired

Response

Timesheet reviewed successfully. Returns updated timesheet details with review status and review timestamp.
dataobject
Updated timesheet details after review

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication